summaryrefslogtreecommitdiff
path: root/ripper
diff options
context:
space:
mode:
authorAdam Carpenter <atc@53hor.net>2020-05-10 21:13:46 -0400
committerAdam Carpenter <atc@53hor.net>2020-05-10 21:13:46 -0400
commitb184782970853b3c479f6c4ad833a36a3aea7afa (patch)
tree318233a807c61414a2696b5300adf3cec6e700e5 /ripper
downloadscripts-b184782970853b3c479f6c4ad833a36a3aea7afa.tar.xz
scripts-b184782970853b3c479f6c4ad833a36a3aea7afa.zip
mega update
Diffstat (limited to 'ripper')
-rwxr-xr-xripper21
1 files changed, 21 insertions, 0 deletions
diff --git a/ripper b/ripper
new file mode 100755
index 0000000..627012d
--- /dev/null
+++ b/ripper
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Magically makes things work.
+sudo modprobe sg
+
+# Make sure scratch disk is available to rip to.
+mountpoint /scratch || mount /scratch || exit 1
+echo "Mounted!"
+
+# Rip discs until told otherwise.
+while :
+do
+ outdir=$(mktemp -d /scratch/makemkvcon.XXXXX)
+ makemkvcon -r mkv disc:0 all $outdir >> $outdir/makemkvcon.log || exit 2
+ eject
+ echo "Rip another? (Y/n)"
+ read confirm
+ [[ $confirm == "n" ]] && exit 0
+ sleep 3;
+done
+